Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class ChoiceOperator.ChoiceBySelectedItemFinder

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.ChoiceOperator.ChoiceBySelectedItemFinder

All Implemented Interfaces:
  ComponentChooser

Enclosing class:
  ChoiceOperator

public static class ChoiceOperator.ChoiceBySelectedItemFinder
extends java.lang.Object
implements ComponentChooser

Allows to find component by label.

Constructor Summary
`ChoiceOperator.ChoiceBySelectedItemFinder(java.lang.String lb)` Constructs ChoiceBySelectedItemFinder.
`ChoiceOperator.ChoiceBySelectedItemFinder(java.lang.String lb, Operator.StringComparator comparator)` Constructs ChoiceBySelectedItemFinder.

Method Summary
`boolean` | `checkComponent(java.awt.Component comp)` Check if the component argument meets the search criteria.
`java.lang.String` | `getDescription()` Returns searched component description.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChoiceOperator.ChoiceBySelectedItemFinder

    public ChoiceOperator.ChoiceBySelectedItemFinder(java.lang.String lb,
                                                     Operator.StringComparator comparator)

  Constructs ChoiceBySelectedItemFinder.
  Parameters:
    `lb` - a text pattern
    `comparator` - specifies string comparision algorithm.

### ChoiceOperator.ChoiceBySelectedItemFinder

    public ChoiceOperator.ChoiceBySelectedItemFinder(java.lang.String lb)

  Constructs ChoiceBySelectedItemFinder.
  Parameters:
    `lb` - a text pattern

Method Detail

### checkComponent

    public boolean checkComponent(java.awt.Component comp)

  Description copied from interface: `ComponentChooser`
  Check if the component argument meets the search criteria.
  Specified by:
    `checkComponent` in interface `ComponentChooser`
  Following copied from interface: `org.netbeans.jemmy.ComponentChooser`
  Parameters:
    `comp` - Component to check.
  Returns:
    `true` when the component conforms to the search criteria; `false` otherwise.

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `ComponentChooser`
  Returns searched component description.
  Specified by:
    `getDescription` in interface `ComponentChooser`
  Following copied from interface: `org.netbeans.jemmy.ComponentChooser`
  Returns:
    a String representing the description value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD